漏洞信息详情

NGINX njs 缓冲区错误漏洞

漏洞简介

NGINX是美国NGINX公司的一款轻量级Web服务器/反向代理服务器及电子邮件(IMAP/POP3)代理服务器。njs是其中的一个支持扩展NGINX功能的脚本语言组件。

NGINX中的njs 0.3.1及之前版本的Array.prototype.splice存在基于堆的缓冲区溢出漏洞。。该漏洞源于网络系统或产品在内存上执行操作时,未正确验证数据边界,导致向关联的其他内存位置上执行了错误的读写操作。攻击者可利用该漏洞导致缓冲区溢出或堆溢出等。

漏洞公告

目前厂商已发布升级补丁以修复漏洞,补丁获取链接:

https://github.com/nginx/njs/commit/b0f23dbc4d4713f65470272768ef79b7cb47db78

参考网址

来源:github.com

链接:https://github.com/nginx/njs/issues/153

来源:nvd.nist.gov

链接:https://nvd.nist.gov/vuln/detail/CVE-2019-11838

受影响实体

    暂无


漏洞信息快速查询

相关漏洞

更多